Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90	(revision 6596)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90	(revision 6624)
@@ -238,5 +238,5 @@
       INTEGER  ::   ilocal_comm   ! local integer
       INTEGER  ::   ios, inum     !   -      -
-      REAL(wp) ::   ziglo, zjglo, zkglo   ! local scalars
+      REAL(wp) ::   ziglo, zjglo, zkglo, zperio   ! local scalars
       CHARACTER(len=120), DIMENSION(16) ::   cltxt, cltxt2, clnam, clbug
       !
@@ -244,6 +244,5 @@
          &             nn_isplt, nn_jsplt, nn_jctls, nn_jctle,   &
          &             nn_timing, nn_diacfl
-      NAMELIST/namcfg/ ln_read_cfg, cp_cfg, cp_cfz, jp_cfg,   &
-         &             jperio, ln_use_jattr
+      NAMELIST/namcfg/ ln_read_cfg, cp_cfg, jp_cfg, ln_use_jattr
       !!----------------------------------------------------------------------
       !
@@ -284,17 +283,19 @@
 
       !                             !--------------------------!
-      !                             !  Set global domain size  !
+      !                             !  Set global domain size  !   (control print return in cltxt2)
       !                             !--------------------------!
       IF( ln_read_cfg ) THEN              ! Read sizes in configuration "mesh_mask" file
-         CALL iom_open( 'mesh_mask', inum )
-         CALL iom_get( inum, 'jpiglo', ziglo )   ;   jpiglo = INT( ziglo )
-         CALL iom_get( inum, 'jpjglo', zjglo )   ;   jpjglo = INT( zjglo )
-         CALL iom_get( inum, 'jpkglo', zkglo )   ;   jpkglo = INT( zkglo )
+         CALL iom_open( 'domain_cfg', inum )
+         CALL iom_get( inum, 'jpiglo', ziglo  )   ;   jpiglo = INT( ziglo )
+         CALL iom_get( inum, 'jpjglo', zjglo  )   ;   jpjglo = INT( zjglo )
+         CALL iom_get( inum, 'jpkglo', zkglo  )   ;   jpkglo = INT( zkglo )
+         CALL iom_get( inum, 'jperio', zperio )   ;   jperio = INT( zperio )
          CALL iom_close( inum )
          WRITE(cltxt2(1),*)       
-         WRITE(cltxt2(2),*) 'mesh_mask : domain size read in "mesh_mask" file : i,j,k = ', jpiglo, jpjglo, jpk        
-         WRITE(cltxt2(3),*) '~~~~~~~~~'        
-      ELSE                                ! user-defined namelist (control print return in cltxt2)
-         CALL usr_def_nam( cltxt2, clnam, jpiglo, jpjglo, jpkglo )
+         WRITE(cltxt2(2),*) 'domain_cfg : domain size read in "domain_cfg" file : jp(i,j,k)glo = ', jpiglo, jpjglo, jpkglo        
+         WRITE(cltxt2(3),*) '~~~~~~~~~~   lateral boudary type of the global domain      jperio= ', jperio
+         !        
+      ELSE                                ! user-defined namelist
+         CALL usr_def_nam( cltxt2, clnam, jpiglo, jpjglo, jpkglo, jperio )
       ENDIF
       jpk    = jpkglo
@@ -426,5 +427,6 @@
          WRITE(numout,*)
          DO ji = 1, SIZE(cltxt2)
-            IF( TRIM(cltxt2(ji)) /= '' )   WRITE(numout,*) cltxt2(ji)     ! control print of domain size
+!            IF( TRIM(cltxt2(ji)) /= '' )   WRITE(numout,*) cltxt2(ji)     ! control print of domain size
+            IF( cltxt2(ji) /= '' )   WRITE(numout,*) cltxt2(ji)     ! control print of domain size
          END DO
          !
@@ -433,10 +435,6 @@
       ENDIF
 
-      ! Now we know the dimensions of the grid and numout has been set we can
-      ! allocate arrays
+      ! Now we know the dimensions of the grid and numout has been set: we can allocate arrays
       CALL nemo_alloc()
-
-      WRITE(numout,*) ' -after alloc--    nstop', nstop
-
       !                             !-------------------------------!
       !                             !  NEMO general initialization  !
@@ -601,7 +599,5 @@
          WRITE(numout,*) '      read configuration definition files          ln_read_cfg = ', ln_read_cfg
          WRITE(numout,*) '      configuration name                               cp_cfg  = ', TRIM(cp_cfg)
-         WRITE(numout,*) '      configuration zoom name                          cp_cfz  = ', TRIM(cp_cfz)
          WRITE(numout,*) '      configuration resolution                         jp_cfg  = ', jp_cfg
-         WRITE(numout,*) '      lateral cond. type (between 0 and 6)             jperio  = ', jperio   
          WRITE(numout,*) '      use file attribute if exists as i/p j-start ln_use_jattr = ', ln_use_jattr
       ENDIF