Index: branches/UKMO/dev_r5518_v3.4_asm_nemovar_community/DOC/TexFiles/Chapters/Annex_C.tex
===================================================================
--- branches/UKMO/dev_r5518_v3.4_asm_nemovar_community/DOC/TexFiles/Chapters/Annex_C.tex	(revision 6617)
+++ branches/UKMO/dev_r5518_v3.4_asm_nemovar_community/DOC/TexFiles/Chapters/Annex_C.tex	(revision 6625)
@@ -410,5 +410,5 @@
 \end{aligned}   } \right.
 \end{equation} 
-where the indices $i_p$ and $j_p$ take the following value: 
+where the indices $i_p$ and $k_p$ take the following value: 
 $i_p = -1/2$ or $1/2$ and $j_p = -1/2$ or $1/2$,
 and the vorticity triads, ${^i_j}\mathbb{Q}^{i_p}_{j_p}$, defined at $T$-point, are given by: 
@@ -1103,5 +1103,5 @@
 The discrete formulation of the horizontal diffusion of momentum ensures the 
 conservation of potential vorticity and the horizontal divergence, and the 
-dissipation of the square of these quantities ($i.e.$ enstrophy and the 
+dissipation of the square of these quantities (i.e. enstrophy and the 
 variance of the horizontal divergence) as well as the dissipation of the 
 horizontal kinetic energy. In particular, when the eddy coefficients are 
@@ -1127,17 +1127,26 @@
 &\int \limits_D \frac{1} {e_3 } \textbf{k} \cdot \nabla \times 
 	\Bigl[    \nabla_h  \left( A^{\,lm}\;\chi  \right)
-	        - \nabla_h \times \left( A^{\,lm}\;\zeta \; \textbf{k} \right)    \Bigr]\;dv   \\ 
-%\end{flalign*}
+	          - \nabla_h \times \left( A^{\,lm}\;\zeta \; \textbf{k} \right)    \Bigr]\;dv  = 0
+\end{flalign*}
 %%%%%%%%%%  recheck here....  (gm)
-%\begin{flalign*}
-=& \int \limits_D  -\frac{1} {e_3 } \textbf{k} \cdot \nabla \times 
-	\Bigl[ \nabla_h \times \left( A^{\,lm}\;\zeta \; \textbf{k} \right)  \Bigr]\;dv  \\ 
-%\end{flalign*}
-%\begin{flalign*}
+\begin{flalign*}
+= \int \limits_D  -\frac{1} {e_3 } \textbf{k} \cdot \nabla \times 
+	\Bigl[ \nabla_h \times \left( A^{\,lm}\;\zeta \; \textbf{k} \right)  \Bigr]\;dv &&& \\ 
+\end{flalign*}
+\begin{flalign*}
 \equiv& \sum\limits_{i,j}
 	\left\{
-	  \delta_{i+1/2} \left[  \frac {e_{2v}} {e_{1v}\,e_{3v}}  \delta_i \left[ A_f^{\,lm} e_{3f} \zeta  \right]  \right]
- 	+ \delta_{j+1/2} \left[  \frac {e_{1u}} {e_{2u}\,e_{3u}}  \delta_j \left[ A_f^{\,lm} e_{3f} \zeta  \right]  \right]
-	\right\} 	 \\ 
+	\delta_{i+1/2} 
+	\left[ 
+	\frac {e_{2v}} {e_{1v}\,e_{3v}}  \delta_i
+		\left[ A_f^{\,lm} e_{3f} \zeta  \right]
+	 \right]
+ 	+ \delta_{j+1/2} 
+	\left[ 
+	\frac {e_{1u}} {e_{2u}\,e_{3u}} \delta_j 
+		\left[ A_f^{\,lm} e_{3f} \zeta  \right]
+	\right]
+	\right\} 
+	&& \\ 
 %
 \intertext{Using \eqref{DOM_di_adj}, it follows:}
@@ -1145,8 +1154,10 @@
 \equiv& \sum\limits_{i,j,k} 
 	-\,\left\{
-	   \frac{e_{2v}} {e_{1v}\,e_{3v}}  \delta_i	\left[ A_f^{\,lm} e_{3f} \zeta  \right]\;\delta_i \left[ 1\right]
-	 + \frac{e_{1u}} {e_{2u}\,e_{3u}}  \delta_j 	\left[ A_f^{\,lm} e_{3f} \zeta  \right]\;\delta_j \left[ 1\right]
+	   \frac{e_{2v}} {e_{1v}\,e_{3v}}  \delta_i
+		\left[ A_f^{\,lm} e_{3f} \zeta  \right]\;\delta_i \left[ 1\right]
+	+ \frac{e_{1u}} {e_{2u}\,e_{3u}} \delta_j 
+		\left[ A_f^{\,lm} e_{3f} \zeta  \right]\;\delta_j \left[ 1\right]
 	\right\} \quad \equiv 0 
-	 \\ 
+	&& \\ 
 \end{flalign*}
 
@@ -1156,4 +1167,5 @@
 \subsection{Dissipation of Horizontal Kinetic Energy}
 \label{Apdx_C.3.2}
+
 
 The lateral momentum diffusion term dissipates the horizontal kinetic energy:
@@ -1209,4 +1221,5 @@
 \label{Apdx_C.3.3}
 
+
 The lateral momentum diffusion term dissipates the enstrophy when the eddy 
 coefficients are horizontally uniform:
@@ -1215,7 +1228,7 @@
 	\left[   \nabla_h \left( A^{\,lm}\;\chi  \right)
 	       - \nabla_h \times \left( A^{\,lm}\;\zeta \; \textbf{k} \right)   \right]\;dv &&&\\
-&\quad = A^{\,lm} \int \limits_D \zeta \textbf{k} \cdot \nabla \times 
+&= A^{\,lm} \int \limits_D \zeta \textbf{k} \cdot \nabla \times 
  	\left[    \nabla_h \times \left( \zeta \; \textbf{k} \right)   \right]\;dv &&&\\
-&\quad \equiv A^{\,lm} \sum\limits_{i,j,k}  \zeta \;e_{3f} 
+&\equiv A^{\,lm} \sum\limits_{i,j,k}  \zeta \;e_{3f} 
 	\left\{     \delta_{i+1/2} \left[  \frac{e_{2v}} {e_{1v}\,e_{3v}} \delta_i \left[ e_{3f} \zeta  \right]   \right]
 	          + \delta_{j+1/2} \left[  \frac{e_{1u}} {e_{2u}\,e_{3u}} \delta_j \left[ e_{3f} \zeta  \right]   \right]      \right\}   &&&\\ 
@@ -1223,7 +1236,8 @@
 \intertext{Using \eqref{DOM_di_adj}, it follows:}
 %
-&\quad \equiv  - A^{\,lm} \sum\limits_{i,j,k} 
+&\equiv  - A^{\,lm} \sum\limits_{i,j,k} 
 	\left\{    \left(  \frac{1} {e_{1v}\,e_{3v}}  \delta_i \left[ e_{3f} \zeta  \right]  \right)^2   b_v
-	         + \left(  \frac{1} {e_{2u}\,e_{3u}}  \delta_j \left[ e_{3f} \zeta  \right] \right)^2   b_u  \right\}  \quad \leq \;0    &&&\\
+	         + \left(  \frac{1} {e_{2u}\,e_{3u}}  \delta_j \left[ e_{3f} \zeta  \right] \right)^2   b_u  \right\}      &&&\\
+& \leq \;0       &&&\\ 
 \end{flalign*}
 
@@ -1236,16 +1250,16 @@
 When the horizontal divergence of the horizontal diffusion of momentum 
 (discrete sense) is taken, the term associated with the vertical curl of the 
-vorticity is zero locally, due to \eqref{Eq_DOM_div_curl}. 
-The resulting term conserves the $\chi$ and dissipates $\chi^2$ 
-when the eddy coefficients are horizontally uniform.
+vorticity is zero locally, due to (!!! II.1.8  !!!!!). The resulting term conserves the 
+$\chi$ and dissipates $\chi^2$ when the eddy coefficients are 
+horizontally uniform.
 \begin{flalign*}
 & \int\limits_D  \nabla_h \cdot 
 	\Bigl[     \nabla_h \left( A^{\,lm}\;\chi \right)
 	          - \nabla_h \times \left( A^{\,lm}\;\zeta \;\textbf{k} \right)    \Bigr]  dv
-= \int\limits_D  \nabla_h \cdot \nabla_h \left( A^{\,lm}\;\chi  \right)   dv   \\
+= \int\limits_D  \nabla_h \cdot \nabla_h \left( A^{\,lm}\;\chi  \right)   dv   &&&\\
 %
 &\equiv \sum\limits_{i,j,k} 
 	\left\{   \delta_i \left[ A_u^{\,lm} \frac{e_{2u}\,e_{3u}} {e_{1u}}  \delta_{i+1/2} \left[ \chi \right]  \right]
-	        + \delta_j \left[ A_v^{\,lm} \frac{e_{1v}\,e_{3v}} {e_{2v}}  \delta_{j+1/2} \left[ \chi \right]  \right]    \right\}    \\ 
+	        + \delta_j \left[ A_v^{\,lm} \frac{e_{1v}\,e_{3v}} {e_{2v}}  \delta_{j+1/2} \left[ \chi \right]  \right]    \right\}    &&&\\ 
 %
 \intertext{Using \eqref{DOM_di_adj}, it follows:}
@@ -1253,6 +1267,6 @@
 &\equiv \sum\limits_{i,j,k} 
 	- \left\{   \frac{e_{2u}\,e_{3u}} {e_{1u}}  A_u^{\,lm} \delta_{i+1/2} \left[ \chi \right] \delta_{i+1/2} \left[ 1 \right] 
-	          + \frac{e_{1v}\,e_{3v}} {e_{2v}}  A_v^{\,lm} \delta_{j+1/2} \left[ \chi \right] \delta_{j+1/2} \left[ 1 \right]    \right\} 
-	\quad \equiv 0      \\ 
+	          + \frac{e_{1v}\,e_{3v}}  {e_{2v}}  A_v^{\,lm} \delta_{j+1/2} \left[ \chi \right] \delta_{j+1/2} \left[ 1 \right]    \right\} 
+	\qquad \equiv 0     &&& \\ 
 \end{flalign*}
 
@@ -1267,5 +1281,5 @@
 	\left[    \nabla_h              \left( A^{\,lm}\;\chi                    \right)
 	        - \nabla_h   \times  \left( A^{\,lm}\;\zeta \;\textbf{k} \right)    \right]\;  dv
- = A^{\,lm}   \int\limits_D \chi \;\nabla_h \cdot \nabla_h \left( \chi \right)\;  dv    \\ 
+ = A^{\,lm}   \int\limits_D \chi \;\nabla_h \cdot \nabla_h \left( \chi \right)\;  dv    &&&\\ 
 %
 &\equiv A^{\,lm}  \sum\limits_{i,j,k}  \frac{1} {e_{1t}\,e_{2t}\,e_{3t}}  \chi 
@@ -1273,5 +1287,5 @@
 	   \delta_i  \left[   \frac{e_{2u}\,e_{3u}} {e_{1u}}  \delta_{i+1/2} \left[ \chi \right]   \right]
 	+ \delta_j  \left[   \frac{e_{1v}\,e_{3v}} {e_{2v}}   \delta_{j+1/2} \left[ \chi \right]   \right]
-	\right\} \;   e_{1t}\,e_{2t}\,e_{3t}    \\ 
+	\right\} \;   e_{1t}\,e_{2t}\,e_{3t}    &&&\\ 
 %
 \intertext{Using \eqref{DOM_di_adj}, it turns out to be:}
@@ -1279,6 +1293,7 @@
 &\equiv - A^{\,lm} \sum\limits_{i,j,k}
 	\left\{    \left(  \frac{1} {e_{1u}}  \delta_{i+1/2}  \left[ \chi \right]  \right)^2  b_u
-            + \left(  \frac{1} {e_{2v}}  \delta_{j+1/2}  \left[ \chi \right]  \right)^2  b_v    \right\}    
-\quad \leq 0             \\
+                 + \left(  \frac{1} {e_{2v}}  \delta_{j+1/2}  \left[ \chi \right]  \right)^2  b_v    \right\} \;    &&&\\
+%
+&\leq 0              &&&\\
 \end{flalign*}
 
@@ -1288,4 +1303,5 @@
 \section{Conservation Properties on Vertical Momentum Physics}
 \label{Apdx_C_4}
+
 
 As for the lateral momentum physics, the continuous form of the vertical diffusion 
@@ -1303,6 +1319,6 @@
 	\left(   \frac{A^{\,vm}} {e_3 }\; \frac{\partial \textbf{U}_h } {\partial k}   \right)\; dv    \quad &\leq 0     \\
 \end{align*}
-
 The first property is obvious. The second results from:
+
 \begin{flalign*}
 \int\limits_D 
@@ -1343,5 +1359,4 @@
 	e_{1f}\,e_{2f}\,e_{3f} \; \equiv 0   && \\
 \end{flalign*}
-
 If the vertical diffusion coefficient is uniform over the whole domain, the 
 enstrophy is dissipated, $i.e.$
@@ -1351,6 +1366,6 @@
 		\left( \frac{A^{\,vm}} {e_3 }\; \frac{\partial \textbf{U}_h } {\partial k}   \right)   \right)\; dv = 0   &&&\\
 \end{flalign*}
-
 This property is only satisfied in $z$-coordinates:
+
 \begin{flalign*}
 \int\limits_D \zeta \, \textbf{k} \cdot \nabla \times 
@@ -1462,8 +1477,10 @@
 
 The numerical schemes used for tracer subgridscale physics are written such 
-that the heat and salt contents are conserved (equations in flux form). 
-Since a flux form is used to compute the temperature and salinity, 
-the quadratic form of these quantities ($i.e.$ their variance) globally tends to diminish. 
-As for the advection term, there is conservation of mass only if the Equation Of Seawater is linear. 
+that the heat and salt contents are conserved (equations in flux form, second 
+order centered finite differences). Since a flux form is used to compute the 
+temperature and salinity, the quadratic form of these quantities (i.e. their variance) 
+globally tends to diminish. As for the advection term, there is generally no strict 
+conservation of mass, even if in practice the mass is conserved to a very high 
+accuracy. 
 
 % -------------------------------------------------------------------------------------------------------------