Index: branches/UKMO/dev_r5518_nemovar_init_vvl/ADM/DOC_SCRIPTS/extract_rst.sh
===================================================================
--- branches/UKMO/dev_r5518_nemovar_init_vvl/ADM/DOC_SCRIPTS/extract_rst.sh	(revision 6632)
+++ branches/UKMO/dev_r5518_nemovar_init_vvl/ADM/DOC_SCRIPTS/extract_rst.sh	(revision 6633)
@@ -109,5 +109,5 @@
 # ==========
 #
-# $Id$
+# $Id: extract_rst.sh 2246 2010-10-13 09:47:23Z rblod $
 #
 # - fplod 2009-04-20T08:13:37Z aedon.locean-ipsl.upmc.fr (Darwin)
Index: branches/UKMO/dev_r5518_nemovar_init_vvl/ADM/DOC_SCRIPTS/install.sh
===================================================================
--- branches/UKMO/dev_r5518_nemovar_init_vvl/ADM/DOC_SCRIPTS/install.sh	(revision 6632)
+++ branches/UKMO/dev_r5518_nemovar_init_vvl/ADM/DOC_SCRIPTS/install.sh	(revision 6633)
@@ -47,5 +47,5 @@
 # ==========
 #
-# $Id$
+# $Id: install.sh 2246 2010-10-13 09:47:23Z rblod $
 #
 # - fplod 2008-09-16T15:24:26Z aedon.locean-ipsl.upmc.fr (Darwin)
Index: branches/UKMO/dev_r5518_nemovar_init_vvl/ADM/DOC_SCRIPTS/makefile_compile
===================================================================
--- branches/UKMO/dev_r5518_nemovar_init_vvl/ADM/DOC_SCRIPTS/makefile_compile	(revision 6632)
+++ branches/UKMO/dev_r5518_nemovar_init_vvl/ADM/DOC_SCRIPTS/makefile_compile	(revision 6633)
@@ -21,5 +21,5 @@
 # ==========
 #
-# $Id$
+# $Id: makefile_compile 2520 2010-12-27 14:43:36Z rblod $
 #
 # - fplod 20100419T145702Z aedon.locean-ipsl.upmc.fr (Darwin)
Index: branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modarrays.F90
===================================================================
--- branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modarrays.F90	(revision 6632)
+++ branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modarrays.F90	(revision 6633)
@@ -1,4 +1,4 @@
 !
-! $Id: modarrays.F90 4779 2014-09-19 14:21:37Z rblod $
+! $Id$
 !
 !     AGRIF (Adaptive Grid Refinement In Fortran)
Index: branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modbc.F90
===================================================================
--- branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modbc.F90	(revision 6632)
+++ branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modbc.F90	(revision 6633)
@@ -1,4 +1,4 @@
 !
-! $Id: modbc.F90 4779 2014-09-19 14:21:37Z rblod $
+! $Id$
 !
 !     AGRIF (Adaptive Grid Refinement In Fortran)
Index: branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modbcfunction.F90
===================================================================
--- branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modbcfunction.F90	(revision 6632)
+++ branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modbcfunction.F90	(revision 6633)
@@ -1,4 +1,4 @@
 !
-! $Id: modbcfunction.F90 4779 2014-09-19 14:21:37Z rblod $
+! $Id$
 !
 !     AGRIF (Adaptive Grid Refinement In Fortran)
Index: branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modcluster.F90
===================================================================
--- branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modcluster.F90	(revision 6632)
+++ branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modcluster.F90	(revision 6633)
@@ -1,4 +1,4 @@
 !
-! $Id: modcluster.F90 4779 2014-09-19 14:21:37Z rblod $
+! $Id$
 !
 !     AGRIF (Adaptive Grid Refinement In Fortran)
Index: branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modcurgridfunctions.F90
===================================================================
--- branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modcurgridfunctions.F90	(revision 6632)
+++ branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modcurgridfunctions.F90	(revision 6633)
@@ -1,4 +1,4 @@
 !
-! $Id: modcurgridfunctions.F90 4779 2014-09-19 14:21:37Z rblod $
+! $Id$
 !
 !     AGRIF (Adaptive Grid Refinement In Fortran)
Index: branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modinitvars.F90
===================================================================
--- branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modinitvars.F90	(revision 6632)
+++ branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modinitvars.F90	(revision 6633)
@@ -1,4 +1,4 @@
 !
-! $Id: modinitvars.F90 4779 2014-09-19 14:21:37Z rblod $
+! $Id$
 !
 !     Agrif (Adaptive Grid Refinement In Fortran)
Index: branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modinterp.F90
===================================================================
--- branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modinterp.F90	(revision 6632)
+++ branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modinterp.F90	(revision 6633)
@@ -1,4 +1,4 @@
 !
-! $Id: modinterp.F90 4779 2014-09-19 14:21:37Z rblod $
+! $Id$
 !
 !     AGRIF (Adaptive Grid Refinement In Fortran)
Index: branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modinterpbasic.F90
===================================================================
--- branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modinterpbasic.F90	(revision 6632)
+++ branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modinterpbasic.F90	(revision 6633)
@@ -1,4 +1,4 @@
 !
-! $Id: modinterpbasic.F90 4779 2014-09-19 14:21:37Z rblod $
+! $Id$
 !
 !     AGRIF (Adaptive Grid Refinement In Fortran)
Index: branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modmask.F90
===================================================================
--- branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modmask.F90	(revision 6632)
+++ branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modmask.F90	(revision 6633)
@@ -1,4 +1,4 @@
 !
-! $Id: modmask.F90 4779 2014-09-19 14:21:37Z rblod $
+! $Id$
 !
 !     AGRIF (Adaptive Grid Refinement In Fortran)
Index: branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modmpp.F90
===================================================================
--- branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modmpp.F90	(revision 6632)
+++ branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modmpp.F90	(revision 6633)
@@ -1,4 +1,4 @@
 !
-! $Id: modmpp.F90 4779 2014-09-19 14:21:37Z rblod $
+! $Id$
 !
 !     AGRIF (Adaptive Grid Refinement In Fortran)
Index: branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modsauv.F90
===================================================================
--- branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modsauv.F90	(revision 6632)
+++ branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modsauv.F90	(revision 6633)
@@ -1,4 +1,4 @@
 !
-! $Id: modsauv.F90 4779 2014-09-19 14:21:37Z rblod $
+! $Id$
 !
 !     AGRIF (Adaptive Grid Refinement In Fortran)
Index: branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modupdate.F90
===================================================================
--- branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modupdate.F90	(revision 6632)
+++ branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modupdate.F90	(revision 6633)
@@ -1,4 +1,4 @@
 !
-! $Id: modupdate.F90 4779 2014-09-19 14:21:37Z rblod $
+! $Id$
 !
 !     AGRIF (Adaptive Grid Refinement In Fortran)
Index: branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modupdatebasic.F90
===================================================================
--- branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modupdatebasic.F90	(revision 6632)
+++ branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modupdatebasic.F90	(revision 6633)
@@ -1,4 +1,4 @@
 !
-! $Id: modupdatebasic.F90 4779 2014-09-19 14:21:37Z rblod $
+! $Id$
 !
 !     AGRIF (Adaptive Grid Refinement In Fortran)
Index: branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modutil.F90
===================================================================
--- branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modutil.F90	(revision 6632)
+++ branches/UKMO/dev_r5518_nemovar_init_vvl/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modutil.F90	(revision 6633)
@@ -1,4 +1,4 @@
 !
-! $Id: modutil.F90 4779 2014-09-19 14:21:37Z rblod $
+! $Id$
 !
 !     Agrif (Adaptive Grid Refinement In Fortran)