Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/GYRE/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/GYRE/EXP00/namelist_cfg	(revision 6624)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/GYRE/EXP00/namelist_cfg	(revision 6667)
@@ -15,5 +15,5 @@
    cn_exp      =  "GYRE"   !  experience name
    nn_it000    =       1   !  first time step
-   nn_itend    =    4320   !  last  time step
+   nn_itend    =    4320   !!gm 4320   !  last  time step
    nn_leapy    =      30   !  Leap year calendar (1) or not (0)
    nn_stock    =    4320   !  frequency of creation of a restart file (modulo referenced to 1)
@@ -21,44 +21,29 @@
 
    ln_clobber  = .true.    !  clobber (overwrite) an existing file
-
 /
 !-----------------------------------------------------------------------
 &namcfg     !   parameters of the configuration   
 !-----------------------------------------------------------------------
-   ln_read_cfg = .true.  !!gm .false.   !  flag to read (.true.) configuration definition files (coordinates,
-   cp_cfg      =  "gyre"                 !  name of the configuration
-   jp_cfg      =       1                 !  resolution of the configuration
-/
-!-----------------------------------------------------------------------
-&namzgr        !   vertical coordinate
-!-----------------------------------------------------------------------
-   ln_zco      = .true.    !  z-coordinate - full    steps
-   ln_linssh   = .true.    !  linear free surface
-/
-!-----------------------------------------------------------------------
-&namzgr_sco    !   s-coordinate or hybrid z-s-coordinate
-!-----------------------------------------------------------------------
+   ln_read_cfg = .false.   !  (=T) read the domain configuration in 'domain_cfg.nc" file
+   !                       !  (=F) user defined configuration  ==>>>  see usrdef(_...) modules
+   ln_write_cfg= .true.    !  (=T) create the domain configuration file
+   !
+   cp_cfg      = "default" !  name of the configuration
+   jp_cfg      =      0    !  resolution of the configuration
+   ln_use_jattr = .false.  !  use (T) the file attribute: open_ocean_jstart, if present
+   !                       !  in netcdf input files, as the start j-row for reading
 /
 !-----------------------------------------------------------------------
 &namdom        !   space and time domain (bathymetry, mesh, timestep)
 !-----------------------------------------------------------------------
-   nn_bathy    =    0      !  compute (=0) or read (=1) the bathymetry file
-   rn_rdt      = 7200.     !  time step for the dynamics 
-   nn_msh      =   -1      !  create (=1) a mesh file or not (=0)
-   ppsur       =   -2033.194295283385    !  ORCA r4, r2 and r05 coefficients
-   ppa0        =     155.8325369664153   ! (default coefficients)
-   ppa1        =     146.3615918601890   !
-   ppkth       =      17.28520372419791  !
-   ppacr       =       5.0               !
-   ppdzmin     =  999999.0               !  Minimum vertical spacing
-   pphmax      =  999999.0               !  Maximum depth
-   ldbletanh   =  .FALSE.                !  Use/do not use double tanf function for vertical coordinates
-   ppa2        =  999999.0               !  Double tanh function parameters
-   ppkth2      =  999999.0               !
-   ppacr2      =  999999.0               !
+   ln_linssh   = .true.    !  =T  linear free surface  ==>>  model level are fixed in time
+   !
+   nn_msh      =    0      !  create (>0) a mesh file or not (=0)
+   !
+   rn_rdt      = 7200.     !  time step for the dynamics (and tracer if nn_acc=0)
 /
 !-----------------------------------------------------------------------
 &namcrs        !   Grid coarsening for dynamics output and/or
-               !   passive tracer coarsened online simulations
+!              !   passive tracer coarsened online simulations
 !-----------------------------------------------------------------------
 /